class Attachment < ApplicationRecord
    belongs_to :user
    
    def self.save_file(upload, user)
        return if upload.nil?
        dir = Rails.root.join("public", "avatars")
        unless File.exists? dir
            Dir.mkdir dir
        end
        fname = upload.original_filename
        a = Attachment.create filename: fname, mime: upload.content_type, user: user
        
        path = File.join(dir, a.id.to_s)
        File.open(path, 'wb') do |f| f.write(upload.read) end
        a.update path: path, size: File.size(path)
    end
end
