Rails.application.routes.draw do
  get 'errors/not_found'
  get 'errors/access_denied'
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]
  resources :courses do
    get 'register', to: 'courses#register', on: :member
    get 'active', to: 'courses#active', on: :collection
  end
  resources :semesters
  resources :subjects do
    get 'page/:page', to: 'subjects#index', on: :collection
  end
  get 'users/new'
  post 'users/create', to: 'users#create', as: 'registration'
  get 'users/edit/:id', to: 'users#edit', as: 'edit_user'
  put 'users/update/:id', to: 'users#update', as: 'update_profile'
  post 'users/:id/upload', to: 'users#upload', as: 'upload'
  get 'users/:id/calendar', to: 'users#calendar', as: 'calendar'
  get 'users/avatar', to: 'users#avatar', as: 'avatar'
  get 'users/forgotten'
  match 'users/delete/:id', to: 'users#destroy', as: :delete_user, via: [:get, :delete]
  post 'users/send_forgotten'
  get 'home/login', to: 'home#login', as: 'hogyhivjuk'
  get 'say/hello', to: 'say#hello', as: 'hello'
  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Defines the root path route ("/")
  # root "articles#index"
end
