require "test_helper"

class CoursesControllerTest < ActionDispatch::IntegrationTest
  setup do
    @course = courses(:one)
  end

  test "should get index" do
    get courses_url
    assert_response :success
  end

  test "should get new" do
    get new_course_url
    assert_response :success
  end

  test "should create course" do
    assert_difference("Course.count") do
      post courses_url, params: { course: { date1: @course.date1, date2: @course.date2, limit: @course.limit, location1: @course.location1, location2: @course.location2, semester_id: @course.semester_id, subject_id: @course.subject_id, t: @course.t } }
    end

    assert_redirected_to course_url(Course.last)
  end

  test "should show course" do
    get course_url(@course)
    assert_response :success
  end

  test "should get edit" do
    get edit_course_url(@course)
    assert_response :success
  end

  test "should update course" do
    patch course_url(@course), params: { course: { date1: @course.date1, date2: @course.date2, limit: @course.limit, location1: @course.location1, location2: @course.location2, semester_id: @course.semester_id, subject_id: @course.subject_id, t: @course.t } }
    assert_redirected_to course_url(@course)
  end

  test "should destroy course" do
    assert_difference("Course.count", -1) do
      delete course_url(@course)
    end

    assert_redirected_to courses_url
  end
end
