require "test_helper"

class UploadAvatarTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end
  
  test "upload avatar for user" do
    get hogyhivjuk_path
    assert_response :success
    assert_select 'legend', "Login"
    assert_nil session[:user]

    post login_path, params: { pluto: users(:valaki).pluto, password: 'titok' }
    assert_response :redirect
    follow_redirect!
    assert_select 'a', 'Profile'
    assert_not_nil session[:user]

    get edit_user_path(users(:valaki).id)
    assert_response :success
    assert_select 'legend', "Set Avatar"
    
    file = fixture_file_upload('test/fixtures/files/1', 'image/png')
    post upload_path(users(:valaki).id), params: { 'file': file }, headers: { "HTTP_REFERER": hello_path }
    assert_response :redirect   
    assert_equal Attachment.all.size, 1
    assert File.exists?("public/avatars/#{Attachment.last.id}")
    follow_redirect!
    assert_select 'a', 'Logout'
    
    get logout_path
    follow_redirect!
    assert_nil session[:user]
    assert_select 'legend', "Login"    
  end
end
